Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

JWT authentication

Create access token

post

Generates a JWT access token using client credentials for Web SDK calls.

Parámetros de encabezado
authorizationstring · mín: 1 · máx: 512Requerido

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value.
Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idstring · mín: 1 · máx: 36Requerido

Technical identifier used for troubleshooting.
It helps on customer support when needed.
Each API request must be identified with a unique correlation Id.
It correlates the response and the request and eventually a notification if any.

Cuerpo
merchantIdstring · mín: 1 · máx: 128Requerido

Identifier of the merchant provided by Thales at on-boarding.

tokensstring[] · mín: 1 · máx: 10Requerido

The list of tokens to be associated with the JWT, only Mastercard and Visa tokens allowed, all the tokens must belong to the same merchant

Example: ["COFTG-MS-ce464906-cf39-4990-b4a8-c160e67c603a","COFTG-V-fe464806-sd39-1290-a4t8-f160e37c602b"]
scopestring · enum · máx: 32Requerido

Scope used for the access token generation

Valores posibles:
Respuestas
post
/auth/accessToken

Última actualización

¿Te fue útil?